eID middleware |

# eIDMW::PTEID_Config Class Reference

Class to access the config parameters. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_Config:

List of all members.

## Public Member Functions
PTEIDSDK_API | PTEID_Config (PTEID_Param Param)
| Create object to access parameter Param.
PTEIDSDK_API | PTEID_Config (const char *csName, const char *czSection, const char *csDefaultValue)
| Create object to access a string parameter.
PTEIDSDK_API | PTEID_Config (const char *csName, const char *czSection, long lDefaultValue)
| Create object to access a numerical parameter.
virtual PTEIDSDK_API | ~PTEID_Config ()
| Destructor.
PTEIDSDK_API const char * | getString ()
| Return the string value (Throw exception for numerical parameter).
PTEIDSDK_API long | getLong ()
| Return the numerical value (Throw exception for string parameter).
PTEIDSDK_API void | setString (const char *csValue)
| Set the string value (Throw exception for numerical parameter).
PTEIDSDK_API void | setLong (long lValue)
| Set the numerical value (Throw exception for string parameter).

## Detailed Description

Class to access the config parameters.

## Constructor & Destructor Documentation

PTEIDSDK_API eIDMW::PTEID_Config::PTEID_Config | ( | PTEID_Param | Param | ) |

Create object to access parameter Param.

PTEIDSDK_API eIDMW::PTEID_Config::PTEID_Config | ( | const char * | csName,
|  | const char * | czSection,
|  | const char * | csDefaultValue |
| ) |  |  |

Create object to access a string parameter.

PTEIDSDK_API eIDMW::PTEID_Config::PTEID_Config | ( | const char * | csName,
|  | const char * | czSection,
|  | long | lDefaultValue |
| ) |  |  |

Create object to access a numerical parameter.

virtual PTEIDSDK_API eIDMW::PTEID_Config::~PTEID_Config | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

PTEIDSDK_API long eIDMW::PTEID_Config::getLong | ( |  | ) |

Return the numerical value (Throw exception for string parameter).

PTEIDSDK_API const char* eIDMW::PTEID_Config::getString | ( |  | ) |

Return the string value (Throw exception for numerical parameter).

PTEIDSDK_API void eIDMW::PTEID_Config::setLong | ( | long | lValue | ) |

Set the numerical value (Throw exception for string parameter).

PTEIDSDK_API void eIDMW::PTEID_Config::setString | ( | const char * | csValue | ) |

Set the string value (Throw exception for numerical parameter).

The documentation for this class was generated from the following file:

- eidlib.h